Add Invoice with a mSat amount

Add invoice.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
🚧

Webhook

A best practice is to set a WebHookUrl and WebhookSecret when you create an Invoice.
This will allow us to notify you when the invoice is paid.

The secret is here to make sure that we are triggering your WebHook.
When you receive the WebHook, make sure that the secret match the one you gave us when created the invoice.

📘

Webhook Body

If you set a WebHookUrl, this url will be called via a POST request with the following json body:

{
  "hash": string,
  "settledAtUtc": string,
  "receivedMsat": int,
  "transaction": {
    "id": string,
    "createdAt": string,
    "accountId": string,
    "amount": float,
    "networkFee": float,
    "exchangeRateCurrencySats": float,
    "currencyID": int,
    "transactionTypeId": int,
    "invoice": {
      "hash": string,
      "bolt11": string,
      "preImage": string,
      "memo": string,
      "creationDateUtc": string,
      "expiryDateUtc": string,
      "settleDateUtc": string,
      "amountMsat": int,
      "receiveMsat": int,
      "stateId": 1,
      "state": {
        "id": int,
        "name": sting,
        "description": string
      }
    }
  }
}

Date example: "2022-11-09T21:33:47.48778Z"

Body Params
int32

Amount of the invoice in the currency of the account. Can be 0 for amount less or need to be more than a sat.

string
required

The account that will create the invoice. This account will be credited if someone pay the invoice.

string

(Optional) Maximum 50 chars.

int32
Defaults to 900

(Optional) How long before the invoice expire in seconds. Maximum: 15 mins.

string

(Optional) Webhook invocation when invoice is paid A /POST with the following body is made to webhookUrl { hash: String, receivedMsat: Int, settledAtUtc: String, webhookSecret: String // omitted if empty }

string

(Optional) A string used to validate the webhook comes from IBEXHub. Don't trust, verify.

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json